<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PlaceEquipmentStructure StructType
 * Meta informations extracted from the WSDL
 * - documentation: Type for SITE EQUIPMENT.
 * @subpackage Structs
 */
class PlaceEquipmentStructure extends InstalledEquipmentStructure
{
    /**
     * The Extensions
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - ref: Extensions
     * @var \StructType\Extensions
     */
    public $Extensions;
    /**
     * Constructor method for PlaceEquipmentStructure
     * @uses PlaceEquipmentStructure::setExtensions()
     * @param \StructType\Extensions $extensions
     */
    public function __construct(\StructType\Extensions $extensions = null)
    {
        $this
            ->setExtensions($extensions);
    }
    /**
     * Get Extensions value
     * @return \StructType\Extensions|null
     */
    public function getExtensions()
    {
        return $this->Extensions;
    }
    /**
     * Set Extensions value
     * @param \StructType\Extensions $extensions
     * @return \StructType\PlaceEquipmentStructure
     */
    public function setExtensions(\StructType\Extensions $extensions = null)
    {
        $this->Extensions = $extensions;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\PlaceEquipmentStructure
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
